%global debug_package %{nil}
%global _build_id_links none

# Set .NET runtime identitfier string
%if 0%{?fedora}
%define dotnet_os fedora
%else
%define dotnet_os centos
%endif
%ifarch aarch64
%define dotnet_arch arm64
%else
%define dotnet_arch x64
%endif
%define dotnet_rid %{dotnet_os}.%{?fedora}%{?rhel}-%{dotnet_arch}

Name:           tldr-sharp
Version:        3.3.0
Release:        1%{?dist}
Summary:        C# tldr client

# dotnet does not offer a runtime on ppc
ExcludeArch:    %{power64} ppc64le %{arm}

License:        GPL-3.0-or-later
URL:            https://github.com/principis/%{name}
Source0:        https://github.com/principis/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  dotnet-sdk-6.0

%description
A C# based, feature-rich command-line client for tldr-pages.

%prep
%autosetup

%build
export DOTNET_CLI_TELEMETRY_OPTOUT=1
export DOTNET_SKIP_FIRST_TIME_EXPERIENCE=1
dotnet publish --configuration Release \
               --output="%_vpath_builddir" \
               --self-contained false \
               --runtime %{dotnet_rid} \
               "-p:DebugSymbols=false;DebugType=none" \
               %{name}

%install
mkdir -p %{buildroot}%{_libdir}
cp -rp %_vpath_builddir %{buildroot}%{_libdir}/%{name}
chmod 0644 %{buildroot}%{_libdir}/%{name}/*.dll
chmod 0644 %{buildroot}%{_libdir}/%{name}/*.so

mkdir -p %{buildroot}%{_bindir}
tee %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
exec %{_libdir}/%{name}/%{name} \${@}
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

# Install completions
install -Dpm 0644 scripts/completions.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}
install -Dpm 0644 scripts/completions.zsh %{buildroot}%{_datadir}/zsh/site-functions/_%{name}

%files
%license LICENSES/*
%doc README.md
%{_bindir}/%{name}
%{_libdir}/%{name}/
%dir %{_datadir}/bash-completion/
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/%{name}
%dir %{_datadir}/zsh/
%dir %{_datadir}/zsh/site-functions/
%{_datadir}/zsh/site-functions/_%{name}

%changelog
* Tue Apr 09 2024 Arthur Bols <arthur@bols.dev> - 3.3.0-1
- Upstream release 3.3.0

* Mon Apr 01 2024 Arthur Bols <arthur@bols.dev> - 3.2.0-1
- Upstream release 3.2.0

* Mon Jan 16 2023 Arthur Bols <arthur@bols.dev> - 2.6.4-1
- Upstream release 2.6.4

* Tue Nov 29 2022 Arthur Bols <arthur@bols.dev> - 2.6.3-1
- Upstream release 2.6.3

* Sun Jan 09 2022 Arthur Bols <arthur@bols.dev> - 2.6.2-1
- Upstream release 2.6.2

* Fri Jan 07 2022 Arthur Bols <arthur@bols.dev> - 2.6.1-1
- Upstream release 2.6.1
- Add bash/zsh completions

* Fri Jan 07 2022 Arthur Bols <arthur@bols.dev> - 2.6.0-2
- Fix missing certs

* Fri Jan 07 2022 Arthur Bols <arthur@bols.dev> - 2.6.0-1
- Initial package

